Bug 1130276 - Sync page of WebUI is confusing, ideally would report sync size of completed and to do.
Summary: Sync page of WebUI is confusing, ideally would report sync size of completed ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: x86_64
OS: Linux
unspecified
low vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: sthirugn@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 18:58 UTC by cmilsted
Modified: 2014-09-11 12:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:21:50 UTC


Attachments (Terms of Use)
Screenshot (69.03 KB, image/png)
2014-08-14 18:58 UTC, cmilsted
no flags Details
Sync status page (119.55 KB, image/png)
2014-08-14 19:48 UTC, sthirugn@redhat.com
no flags Details

Description cmilsted 2014-08-14 18:58:14 UTC
Created attachment 926879 [details]
Screenshot

Description of problem:Sync page on Web UI of Satellite 6 Beta is not clear.

I have installed a new Satellite 6.0.3 build, imported a manifest and selected the RHEL 7 Server to sync.

This has completed and I am now looking at the Sync page (the example I would highlight here is what happens if a different satellite user looked at this page first). The columns report:

Product 	Red Hat Enterprise Linux Server 
Start Time 	less than a minute
Duration 	0
Size (Packages) 	0 Bytes
Result                  Sync complete.
			 	
So what does this mean - sync complete with o bytes....

What I think it means is that there are 0 bytes left to sync - but this seems confusing. Can we have another column which would be:
size (packages) synchronised
size (packages) unsynchronised

Otherwise the 0 bytes with sync complete is very confusing and a new user, without checking the logs, may be confused (I know I was). They would infer that it was complete but the size was zero - is that the sync in total or the remaining to do?

I have attached a screenshot as well to show the page I am referring to.

	


Version-Release number of selected component (if applicable):





Additional info:

I also pulled down the katello logs - is the "spinner.gif" message an error?


Processing by Katello::Api::V2::RepositoriesController#sync_complete as JSON
  Parameters: {"call_report"=>"[FILTERED]", "event_type"=>"repo.sync.finish", "payload"=>{"importer_id"=>"yum_importer", "exceptio
n"=>nil, "repo_id"=>"SkyBroadcast-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_7_Server_RPMs_x86_64_7_0", "traceback"=
>nil, "started"=>"2014-08-14T11:40:17+01:00", "_ns"=>"repo_sync_results", "completed"=>"2014-08-14T14:18:43+01:00", "importer_type
_id"=>"yum_importer", "error_message"=>nil, "summary"=>{"content"=>{"state"=>"FINISHED"}, "comps"=>{"state"=>"FINISHED"}, "distrib
ution"=>{"state"=>"FINISHED"}, "errata"=>{"state"=>"FINISHED"}, "metadata"=>{"state"=>"FINISHED"}}, "added_count"=>4774, "result"=
>"success", "updated_count"=>0, "details"=>{"content"=>{"size_total"=>4253030376, "items_left"=>0, "items_total"=>4629, "state"=>"
FINISHED", "size_left"=>0, "details"=>{"rpm_total"=>4629, "rpm_done"=>4629, "drpm_total"=>0, "drpm_done"=>0}, "error_details"=>[]}
, "comps"=>{"state"=>"FINISHED"}, "distribution"=>{"items_total"=>0, "state"=>"FINISHED", "error_details"=>[], "items_left"=>0}, "
errata"=>{"state"=>"FINISHED"}, "metadata"=>{"state"=>"FINISHED"}}, "id"=>"53ecb7330cfb2f0b3395c8a2", "removed_count"=>0}, "token"
=>"", "api_version"=>"v2", "repository"=>{}}

Processing by Katello::SyncManagementController#sync_status as JSON
  Parameters: {"repoids"=>["1"], "_"=>"1408022436103"}
Completed 200 OK in 36ms (Views: 0.3ms | ActiveRecord: 2.3ms)

ActionController::RoutingError (No route matches [GET] "/katelloassets/icons/spinner.gif"):
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_
next_request'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

  Parameters: {"call_report"=>"[FILTERED]", "event_type"=>"repo.sync.finish", "payload"=>{"importer_id"=>"yum_importer", "exceptio
n"=>nil, "repo_id"=>"SkyBroadcast-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_7_Server_RPMs_x86_64_7_0", "traceback"=
>nil, "started"=>"2014-08-14T14:18:44+01:00", "_ns"=>"repo_sync_results", "completed"=>"2014-08-14T14:20:19+01:00", "importer_type
_id"=>"yum_importer", "error_message"=>nil, "summary"=>{"content"=>{"state"=>"FINISHED"}, "comps"=>{"state"=>"FINISHED"}, "distrib
ution"=>{"state"=>"FINISHED"}, "errata"=>{"state"=>"FINISHED"}, "metadata"=>{"state"=>"FINISHED"}}, "added_count"=>0, "result"=>"s
uccess", "updated_count"=>86, "details"=>{"content"=>{"size_total"=>0, "items_left"=>0, "items_total"=>0, "state"=>"FINISHED", "si
ze_left"=>0, "details"=>{"rpm_total"=>0, "rpm_done"=>0, "drpm_total"=>0, "drpm_done"=>0}, "error_details"=>[]}, "comps"=>{"state"=
>"FINISHED"}, "distribution"=>{"items_total"=>0, "state"=>"FINISHED", "error_details"=>[], "items_left"=>0}, "errata"=>{"state"=>"
FINISHED"}, "metadata"=>{"state"=>"FINISHED"}}, "id"=>"53ecb7930cfb2f0b3395c8ab", "removed_count"=>0}, "token"=>"", "api_version"=
>"v2", "repository"=>{}}
Sync_complete called for Red Hat Enterprise Linux 7 Server RPMs x86_64 7.0, running after_sync.
Completed 200 OK in 217ms (Views: 0.3ms | ActiveRecord: 9.2ms)
Processing by Katello::SyncManagementController#sync_status as JSON
  Parameters: {"repoids"=>["1"], "_"=>"1408022479384"}
Completed 200 OK in 35ms (Views: 0.2ms | ActiveRecord: 2.3ms)
Processing by Katello::SyncManagementController#sync_status as JSON
  Parameters: {"repoids"=>["1"], "_"=>"1408022480780"}
Completed 200 OK in 37ms (Views: 0.2ms | ActiveRecord: 2.3ms)

AbstractController::ActionNotFound (The action 'get_new' could not be found for NoticesController):
  lib/middleware/catch_json_parse_errors.rb:9:in `call'



ActionController::RoutingError (No route matches [GET] "/katelloassets/icons/spinner.gif"):

Comment 1 RHEL Product and Program Management 2014-08-14 19:13:12 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 sthirugn@redhat.com 2014-08-14 19:48:25 UTC
Sync status page is now looking fine with Sat6 build GA Snap 5 - 
GA Snap 5 - Satellite-6.0.4-RHEL-6-20140813.2 (see screenshot)

Comment 5 sthirugn@redhat.com 2014-08-14 19:48:44 UTC
Created attachment 926894 [details]
Sync status page

Comment 6 Bryan Kearney 2014-09-11 12:21:50 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.